Bug 324956 - Opening digiKam on Ubuntu 13.04 system
Summary: Opening digiKam on Ubuntu 13.04 system
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 3.3.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-09-16 12:02 UTC by Jon Sharp
Modified: 2016-07-09 14:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Sharp 2013-09-16 12:02:24 UTC
Application: digikam (3.3.0)
KDE Platform Version: 4.10.5
Qt Version: 4.8.4
Operating System: Linux 3.8.0-30-generic x86_64
Distribution: Ubuntu 13.04

-- Information about the crash:
Installed v3.0 using standard Ubuntu libraries. Found thatthe older version worked fine but didn't have facial recognition so "upgraded" using:-
$ sudo add-apt-repository ppa:kubuntu-ppa/backports
$ sudo apt-get update
$ sudo apt-get install digikam
Application opens and shows the main window ad then crashes

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f176c4e2a80 (LWP 2845))]

Thread 36 (Thread 0x7f1741013700 (LWP 2850)):
#0  0x00007f175e8b46a8 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f17500a24f6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#2  0x00007f175e8d7eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 35 (Thread 0x7f1733fff700 (LWP 2851)):
[KCrash Handler]
#5  0x00007f1769b5f697 in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding const&) () from /usr/lib/digikam/libdigikamcore.so.3
#6  0x00007f1769b60785 in Digikam::DImg::loadImageInfo(QString const&, bool, bool, bool, bool) () from /usr/lib/digikam/libdigikamcore.so.3
#7  0x00007f1769738299 in Digikam::ImageScanner::loadFromDisk() () from /usr/lib/digikam/libdigikamdatabase.so.3
#8  0x00007f1769738458 in Digikam::ImageScanner::newFile(int) () from /usr/lib/digikam/libdigikamdatabase.so.3
#9  0x00007f17696db64b in Digikam::CollectionScanner::scanNewFile(QFileInfo const&, int) () from /usr/lib/digikam/libdigikamdatabase.so.3
#10 0x00007f17696dee81 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/digikam/libdigikamdatabase.so.3
#11 0x00007f17696deb62 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/digikam/libdigikamdatabase.so.3
#12 0x00007f17696df67b in Digikam::CollectionScanner::scanAlbumRoot(Digikam::CollectionLocation const&) () from /usr/lib/digikam/libdigikamdatabase.so.3
#13 0x00007f17696dff75 in Digikam::CollectionScanner::completeScan() () from /usr/lib/digikam/libdigikamdatabase.so.3
#14 0x00000000005d2a86 in ?? ()
#15 0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#17 0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 34 (Thread 0x7f17337fe700 (LWP 2852)):
#0  0x00007f175e8b149d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f175e8b389f in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f175e8b40fe in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f175e8b4304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1766e0a036 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f1766dda38f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f1766dda618 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f1766cdc410 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f1766dbbedf in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 33 (Thread 0x7f171ed86700 (LWP 2859)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 32 (Thread 0x7f171fffe700 (LWP 2860)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1769cf1a1c in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () from /usr/lib/digikam/libdigikamcore.so.3
#3  0x00007f1769cf21b1 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () from /usr/lib/digikam/libdigikamcore.so.3
#4  0x00007f1769cf2472 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/digikam/libdigikamcore.so.3
#5  0x00007f1769cf28b4 in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.3
#6  0x00007f1769cf6b2f in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.3
#7  0x00007f1769cf6b8f in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/digikam/libdigikamcore.so.3
#8  0x00007f17696c79b1 in Digikam::AlbumDB::getImageInformation(long long, QFlags<Digikam::DatabaseFields::ImageInformationField>) () from /usr/lib/digikam/libdigikamdatabase.so.3
#9  0x00007f17696ff9c8 in Digikam::DatabaseThumbnailInfoProvider::thumbnailInfo(QString const&) () from /usr/lib/digikam/libdigikamdatabase.so.3
#10 0x00007f1769d22170 in Digikam::ThumbnailCreator::makeThumbnailInfo(QString const&, QRect const&) const () from /usr/lib/digikam/libdigikamcore.so.3
#11 0x00007f1769d26a81 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/digikam/libdigikamcore.so.3
#12 0x00007f1769d27e6c in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib/digikam/libdigikamcore.so.3
#13 0x00007f1769d343e0 in ?? () from /usr/lib/digikam/libdigikamcore.so.3
#14 0x00007f1769d0e11e in Digikam::LoadSaveThread::run() () from /usr/lib/digikam/libdigikamcore.so.3
#15 0x00007f1769d3aafe in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/digikam/libdigikamcore.so.3
#16 0x00007f1766cd255d in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#18 0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#19 0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 31 (Thread 0x7f171dcc3700 (LWP 2861)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 30 (Thread 0x7f171d4c2700 (LWP 2862)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 29 (Thread 0x7f171ccc1700 (LWP 2863)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 28 (Thread 0x7f1707fff700 (LWP 2864)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 27 (Thread 0x7f16fffff700 (LWP 2865)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 26 (Thread 0x7f17077fe700 (LWP 2866)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 25 (Thread 0x7f1706ffd700 (LWP 2867)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 24 (Thread 0x7f17067fc700 (LWP 2868)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 23 (Thread 0x7f1705ffb700 (LWP 2869)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 22 (Thread 0x7f17057fa700 (LWP 2870)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 21 (Thread 0x7f1704ff9700 (LWP 2871)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 20 (Thread 0x7f16ff7fe700 (LWP 2872)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 19 (Thread 0x7f16feffd700 (LWP 2873)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 18 (Thread 0x7f16fe7fc700 (LWP 2874)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 17 (Thread 0x7f16fdffb700 (LWP 2875)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 16 (Thread 0x7f16fd7fa700 (LWP 2876)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 15 (Thread 0x7f16fcff9700 (LWP 2877)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 14 (Thread 0x7f16c3fff700 (LWP 2878)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 13 (Thread 0x7f16cbfff700 (LWP 2879)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 12 (Thread 0x7f16cb7fe700 (LWP 2880)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 11 (Thread 0x7f16caffd700 (LWP 2881)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 10 (Thread 0x7f16ca7fc700 (LWP 2882)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 9 (Thread 0x7f16c9ffb700 (LWP 2883)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 8 (Thread 0x7f16c97fa700 (LWP 2884)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 7 (Thread 0x7f16c8ff9700 (LWP 2885)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 6 (Thread 0x7f16c37fe700 (LWP 2886)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 5 (Thread 0x7f16c2ffd700 (LWP 2887)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 4 (Thread 0x7f16c27fc700 (LWP 2888)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 3 (Thread 0x7f16c1ffb700 (LWP 2889)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 2 (Thread 0x7f16c17fa700 (LWP 2890)):
#0  0x00007f17612b905e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf0a7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd264f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cdebec in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f17612b4f8e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1765efbe1d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 1 (Thread 0x7f176c4e2a80 (LWP 2845)):
#0  0x00007f17612b8ca4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1766cdf14b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f1766cd1d2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f1766cd37dd in QThreadPool::~QThreadPool() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f1766cd3819 in QThreadPool::~QThreadPool() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f1766dee232 in QObjectPrivate::deleteChildren() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f1766df4f66 in QObject::~QObject() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f1769d37947 in ?? () from /usr/lib/digikam/libdigikamcore.so.3
#8  0x00007f1765e3e121 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#9  0x00007f1765e3e1a5 in exit () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x00007f1756306284 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#11 0x00007f17684ccf38 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#12 0x00007f176440f5be in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#13 0x00007f176440d08d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007f17643fe65b in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007f176786abdc in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#16 0x00007f175e8b3c69 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f175e8b4175 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f175e8b4304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f1766e0a016 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#20 0x00007f176786b1ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#21 0x00007f1766dda38f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007f1766dda618 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00000000005ce990 in ?? ()
#24 0x00000000005197da in ?? ()
#25 0x00007f1766df55be in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x00007f17677c58ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#27 0x00007f17677c825b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#28 0x00007f17684d11a6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#29 0x00007f1766ddb63e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007f1766ddf171 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#31 0x00007f1766e09e83 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007f175e8b3f05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f175e8b4248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007f175e8b4304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007f1766e0a016 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#36 0x00007f176786b1ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#37 0x00007f1766dda38f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#38 0x00007f1766dda618 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#39 0x00007f1766ddfcf6 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#40 0x00000000004927fb in ?? ()
#41 0x00007f1765e23ea5 in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#42 0x0000000000494af1 in _start ()

Possible duplicates by query: bug 324515, bug 323633, bug 319762, bug 319655, bug 319605.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-09-21 21:24:25 UTC
It miss digiKam  debug symbols. Add digiKam debug package and get a better backtrace....

Gilles Caulier
Comment 2 caulier.gilles 2015-06-25 13:11:04 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 3 caulier.gilles 2015-08-20 06:53:42 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 4 caulier.gilles 2016-07-09 14:15:33 UTC
This problem is not reproducible with last 5.0.0.
I close this file now. Don't hesitate to re-open it if necessary.
Gilles Caulier